VERSION 5.00
Object = "{648A5603-2C6E-101B-82B6-000000000014}#1.1#0"; "MSCOMM32.OCX"
Begin VB.Form Form1 
   Caption         =   "R8x Pro Example Software for Hybrid Relay Controllers"
   ClientHeight    =   8355
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7380
   LinkTopic       =   "Form1"
   ScaleHeight     =   8355
   ScaleWidth      =   7380
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame23 
      Caption         =   "Test Timer"
      Height          =   975
      Left            =   5880
      TabIndex        =   46
      Top             =   120
      Width           =   1455
      Begin VB.CommandButton Command3 
         Caption         =   "Open Timer Test Window"
         Height          =   615
         Left            =   120
         TabIndex        =   47
         Top             =   240
         Width           =   1215
      End
   End
   Begin VB.Frame Frame21 
      Caption         =   "Relay ON/OFF Status on Powerup"
      Height          =   1695
      Left            =   4440
      TabIndex        =   41
      Top             =   6480
      Width           =   2775
      Begin VB.CommandButton GetPattern 
         Caption         =   "Get Powerup Default Relay Pattern"
         Height          =   495
         Left            =   120
         TabIndex        =   43
         Top             =   840
         Width           =   2535
      End
      Begin VB.CommandButton StorePattern 
         Caption         =   "Store Current Pattern as Powerup Default"
         Height          =   495
         Left            =   120
         TabIndex        =   42
         Top             =   240
         Width           =   2535
      End
      Begin VB.Label DefPat 
         Alignment       =   2  'Center
         Caption         =   "???"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   9.75
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   960
         TabIndex        =   44
         Top             =   1320
         Width           =   855
      End
   End
   Begin VB.Frame Frame19 
      Caption         =   "Store and Recall Relay Pattern in Memory Bank"
      Height          =   1695
      Left            =   240
      TabIndex        =   38
      Top             =   6480
      Width           =   4095
      Begin VB.CommandButton StoreBank 
         Caption         =   "Store Current Relay Battern in Above Memory Bank"
         Height          =   255
         Left            =   120
         TabIndex        =   53
         Top             =   960
         Width           =   3855
      End
      Begin VB.CommandButton GetBank 
         Caption         =   "Get Current Relay Battern from Above Memory Bank"
         Height          =   255
         Left            =   120
         TabIndex        =   45
         Top             =   1320
         Width           =   3855
      End
      Begin VB.Frame Frame20 
         Caption         =   "Memory Bank"
         Height          =   615
         Left            =   120
         TabIndex        =   39
         Top             =   240
         Width           =   3855
         Begin VB.HScrollBar HScroll3 
            Height          =   255
            Left            =   120
            Max             =   15
            TabIndex        =   54
            Top             =   240
            Width           =   3015
         End
         Begin VB.Label Label8 
            Alignment       =   2  'Center
            Caption         =   "0"
            BeginProperty Font 
               Name            =   "MS Sans Serif"
               Size            =   9.75
               Charset         =   0
               Weight          =   400
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            Height          =   255
            Left            =   3240
            TabIndex        =   40
            Top             =   240
            Width           =   495
         End
      End
   End
   Begin MSCommLib.MSComm MSComm1 
      Left            =   6600
      Top             =   5760
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
      DTREnable       =   -1  'True
   End
   Begin VB.Frame Frame16 
      Caption         =   "Extended Relay Control Commands"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3735
      Left            =   120
      TabIndex        =   26
      Top             =   4560
      Width           =   7215
      Begin VB.Frame Frame17 
         Caption         =   "Set Status of All Relays at Once"
         Height          =   975
         Left            =   120
         TabIndex        =   35
         Top             =   840
         Width           =   2535
         Begin VB.HScrollBar HScroll1 
            Height          =   255
            Left            =   120
            Max             =   255
            TabIndex        =   36
            Top             =   240
            Width           =   2175
         End
         Begin VB.Label Label6 
            Alignment       =   2  'Center
            Caption         =   "0"
            Height          =   255
            Left            =   120
            TabIndex        =   37
            Top             =   600
            Width           =   2175
         End
      End
      Begin VB.CommandButton Test2Way 
         Caption         =   "Test 2-Way Communication"
         Height          =   495
         Left            =   5760
         TabIndex        =   31
         Top             =   240
         Width           =   1335
      End
      Begin VB.CommandButton Reverse 
         Caption         =   "Reverse On/Off Relay Pattern"
         Height          =   495
         Left            =   4200
         TabIndex        =   30
         Top             =   240
         Width           =   1455
      End
      Begin VB.CommandButton Invert 
         Caption         =   "Invert Status of All Relays"
         Height          =   495
         Left            =   2760
         TabIndex        =   29
         Top             =   240
         Width           =   1215
      End
      Begin VB.CommandButton AllOn 
         Caption         =   "All Relays On"
         Height          =   495
         Left            =   1440
         TabIndex        =   28
         Top             =   240
         Width           =   1095
      End
      Begin VB.CommandButton AllOff 
         Caption         =   "All Relays Off"
         Height          =   495
         Left            =   120
         TabIndex        =   27
         Top             =   240
         Width           =   1095
      End
      Begin VB.Label T2Way 
         Alignment       =   2  'Center
         Caption         =   "???"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   12
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   375
         Left            =   5880
         TabIndex        =   34
         Top             =   840
         Width           =   1215
      End
      Begin VB.Label Label4 
         Caption         =   "Relay On/Off Pattern is Reversed, Relay 12345678 status is coppied to Relay 87654321"
         Height          =   975
         Left            =   4200
         TabIndex        =   33
         Top             =   840
         Width           =   1455
      End
      Begin VB.Label Label3 
         Caption         =   "Relays that are on turn off.  Relays that are off turn on."
         Height          =   855
         Left            =   2760
         TabIndex        =   32
         Top             =   840
         Width           =   1215
      End
   End
   Begin VB.CommandButton Read_All 
      Caption         =   "Read Status of All Relays"
      Height          =   255
      Left            =   360
      TabIndex        =   23
      Top             =   4080
      Width           =   6735
   End
   Begin VB.Frame Frame1 
      Caption         =   "Turn Individual Relay On/Off"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1575
      Left            =   120
      TabIndex        =   0
      Top             =   1200
      Width           =   7215
      Begin VB.Frame Frame7 
         Caption         =   "Relay 5"
         Height          =   855
         Left            =   3600
         TabIndex        =   69
         Top             =   480
         Width           =   855
         Begin VB.CommandButton RELAY 
            Caption         =   "OFF"
            Height          =   495
            Index           =   4
            Left            =   120
            TabIndex        =   70
            Top             =   240
            Width           =   615
         End
      End
      Begin VB.Frame Frame8 
         Caption         =   "Relay 6"
         Height          =   855
         Left            =   4440
         TabIndex        =   67
         Top             =   480
         Width           =   855
         Begin VB.CommandButton RELAY 
            Caption         =   "OFF"
            Height          =   495
            Index           =   5
            Left            =   120
            TabIndex        =   68
            Top             =   240
            Width           =   615
         End
      End
      Begin VB.Frame Frame9 
         Caption         =   "Relay 7"
         Height          =   855
         Left            =   5280
         TabIndex        =   65
         Top             =   480
         Width           =   855
         Begin VB.CommandButton RELAY 
            Caption         =   "OFF"
            Height          =   495
            Index           =   6
            Left            =   120
            TabIndex        =   66
            Top             =   240
            Width           =   615
         End
      End
      Begin VB.Frame Frame10 
         Caption         =   "Relay 8"
         Height          =   855
         Left            =   6120
         TabIndex        =   63
         Top             =   480
         Width           =   855
         Begin VB.CommandButton RELAY 
            Caption         =   "OFF"
            Height          =   495
            Index           =   7
            Left            =   120
            TabIndex        =   64
            Top             =   240
            Width           =   615
         End
      End
      Begin VB.Frame Frame3 
         Caption         =   "Relay 1"
         Height          =   855
         Left            =   240
         TabIndex        =   48
         Top             =   480
         Width           =   855
         Begin VB.CommandButton RELAY 
            Caption         =   "OFF"
            Height          =   495
            Index           =   0
            Left            =   120
            TabIndex        =   49
            Top             =   240
            Width           =   615
         End
      End
      Begin VB.Frame Frame6 
         Caption         =   "Relay 4"
         Height          =   855
         Left            =   2760
         TabIndex        =   3
         Top             =   480
         Width           =   855
         Begin VB.CommandButton RELAY 
            Caption         =   "OFF"
            Height          =   495
            Index           =   3
            Left            =   120
            TabIndex        =   6
            Top             =   240
            Width           =   615
         End
      End
      Begin VB.Frame Frame5 
         Caption         =   "Relay 3"
         Height          =   855
         Left            =   1920
         TabIndex        =   2
         Top             =   480
         Width           =   855
         Begin VB.CommandButton RELAY 
            Caption         =   "OFF"
            Height          =   495
            Index           =   2
            Left            =   120
            TabIndex        =   5
            Top             =   240
            Width           =   615
         End
      End
      Begin VB.Frame Frame4 
         Caption         =   "Relay 2"
         Height          =   855
         Left            =   1080
         TabIndex        =   1
         Top             =   480
         Width           =   855
         Begin VB.CommandButton RELAY 
            Caption         =   "OFF"
            Height          =   495
            Index           =   1
            Left            =   120
            TabIndex        =   4
            Top             =   240
            Width           =   615
         End
      End
   End
   Begin VB.Frame Frame11 
      Caption         =   "Read Status of Relays"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1575
      Left            =   120
      TabIndex        =   7
      Top             =   2880
      Width           =   7215
      Begin VB.CommandButton Read_Relay 
         Caption         =   "Read"
         Height          =   255
         Index           =   7
         Left            =   6120
         TabIndex        =   22
         Top             =   960
         Width           =   855
      End
      Begin VB.CommandButton Read_Relay 
         Caption         =   "Read"
         Height          =   255
         Index           =   6
         Left            =   5280
         TabIndex        =   21
         Top             =   960
         Width           =   855
      End
      Begin VB.CommandButton Read_Relay 
         Caption         =   "Read"
         Height          =   255
         Index           =   5
         Left            =   4440
         TabIndex        =   20
         Top             =   960
         Width           =   855
      End
      Begin VB.CommandButton Read_Relay 
         Caption         =   "Read"
         Height          =   255
         Index           =   4
         Left            =   3600
         TabIndex        =   19
         Top             =   960
         Width           =   855
      End
      Begin VB.Frame Frame12 
         Caption         =   "Relay 8"
         Height          =   855
         Index           =   6
         Left            =   6120
         TabIndex        =   61
         Top             =   240
         Width           =   855
         Begin VB.Label Label1 
            Alignment       =   2  'Center
            Caption         =   "???"
            BeginProperty Font 
               Name            =   "MS Sans Serif"
               Size            =   12
               Charset         =   0
               Weight          =   700
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            Height          =   255
            Index           =   7
            Left            =   120
            TabIndex        =   62
            Top             =   360
            Width           =   615
         End
      End
      Begin VB.Frame Frame12 
         Caption         =   "Relay 7"
         Height          =   855
         Index           =   5
         Left            =   5280
         TabIndex        =   59
         Top             =   240
         Width           =   855
         Begin VB.Label Label1 
            Alignment       =   2  'Center
            Caption         =   "???"
            BeginProperty Font 
               Name            =   "MS Sans Serif"
               Size            =   12
               Charset         =   0
               Weight          =   700
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            Height          =   255
            Index           =   6
            Left            =   120
            TabIndex        =   60
            Top             =   360
            Width           =   615
         End
      End
      Begin VB.Frame Frame12 
         Caption         =   "Relay 6"
         Height          =   855
         Index           =   4
         Left            =   4440
         TabIndex        =   57
         Top             =   240
         Width           =   855
         Begin VB.Label Label1 
            Alignment       =   2  'Center
            Caption         =   "???"
            BeginProperty Font 
               Name            =   "MS Sans Serif"
               Size            =   12
               Charset         =   0
               Weight          =   700
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            Height          =   255
            Index           =   5
            Left            =   120
            TabIndex        =   58
            Top             =   360
            Width           =   615
         End
      End
      Begin VB.Frame Frame12 
         Caption         =   "Relay 5"
         Height          =   855
         Index           =   3
         Left            =   3600
         TabIndex        =   55
         Top             =   240
         Width           =   855
         Begin VB.Label Label1 
            Alignment       =   2  'Center
            Caption         =   "???"
            BeginProperty Font 
               Name            =   "MS Sans Serif"
               Size            =   12
               Charset         =   0
               Weight          =   700
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            Height          =   255
            Index           =   4
            Left            =   120
            TabIndex        =   56
            Top             =   360
            Width           =   495
         End
      End
      Begin VB.CommandButton Read_Relay 
         Caption         =   "Read"
         Height          =   255
         Index           =   0
         Left            =   240
         TabIndex        =   50
         Top             =   960
         Width           =   855
      End
      Begin VB.CommandButton Read_Relay 
         Caption         =   "Read"
         Height          =   255
         Index           =   3
         Left            =   2760
         TabIndex        =   18
         Top             =   960
         Width           =   855
      End
      Begin VB.CommandButton Read_Relay 
         Caption         =   "Read"
         Height          =   255
         Index           =   2
         Left            =   1920
         TabIndex        =   17
         Top             =   960
         Width           =   855
      End
      Begin VB.CommandButton Read_Relay 
         Caption         =   "Read"
         Height          =   255
         Index           =   1
         Left            =   1080
         TabIndex        =   16
         Top             =   960
         Width           =   855
      End
      Begin VB.Frame Frame12 
         Caption         =   "Relay 4"
         Height          =   855
         Index           =   2
         Left            =   2760
         TabIndex        =   14
         Top             =   240
         Width           =   855
         Begin VB.Label Label1 
            Alignment       =   2  'Center
            Caption         =   "???"
            BeginProperty Font 
               Name            =   "MS Sans Serif"
               Size            =   12
               Charset         =   0
               Weight          =   700
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            Height          =   255
            Index           =   3
            Left            =   120
            TabIndex        =   15
            Top             =   360
            Width           =   615
         End
      End
      Begin VB.Frame Frame12 
         Caption         =   "Relay 3"
         Height          =   855
         Index           =   1
         Left            =   1920
         TabIndex        =   12
         Top             =   240
         Width           =   855
         Begin VB.Label Label1 
            Alignment       =   2  'Center
            Caption         =   "???"
            BeginProperty Font 
               Name            =   "MS Sans Serif"
               Size            =   12
               Charset         =   0
               Weight          =   700
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            Height          =   255
            Index           =   2
            Left            =   120
            TabIndex        =   13
            Top             =   360
            Width           =   615
         End
      End
      Begin VB.Frame Frame13 
         Caption         =   "Relay 2"
         Height          =   855
         Left            =   1080
         TabIndex        =   10
         Top             =   240
         Width           =   855
         Begin VB.Label Label1 
            Alignment       =   2  'Center
            Caption         =   "???"
            BeginProperty Font 
               Name            =   "MS Sans Serif"
               Size            =   12
               Charset         =   0
               Weight          =   700
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            Height          =   255
            Index           =   1
            Left            =   120
            TabIndex        =   11
            Top             =   360
            Width           =   615
         End
      End
      Begin VB.Frame Frame12 
         Caption         =   "Relay 1"
         Height          =   855
         Index           =   0
         Left            =   240
         TabIndex        =   8
         Top             =   240
         Width           =   855
         Begin VB.Label Label1 
            Alignment       =   2  'Center
            Caption         =   "???"
            BeginProperty Font 
               Name            =   "MS Sans Serif"
               Size            =   12
               Charset         =   0
               Weight          =   700
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            Height          =   255
            Index           =   0
            Left            =   120
            TabIndex        =   9
            Top             =   360
            Width           =   615
         End
      End
   End
   Begin VB.Frame Frame15 
      Caption         =   "Direct R8x Pro Commands to Bank A or Bank B Relays"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   975
      Left            =   120
      TabIndex        =   24
      Top             =   120
      Width           =   5655
      Begin VB.OptionButton Option1 
         Caption         =   "Control Bank B Relays (R16 Only)"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   195
         Index           =   1
         Left            =   2280
         TabIndex        =   52
         Top             =   720
         Width           =   3255
      End
      Begin VB.OptionButton Option1 
         Caption         =   "Control Bank A Relays"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   195
         Index           =   0
         Left            =   2280
         TabIndex        =   51
         Top             =   480
         Value           =   -1  'True
         Width           =   3255
      End
      Begin VB.Label Label2 
         Caption         =   "The R8x Pro Command Set Must be Applied to a Bank of Relays on all 16-relay Hybrid controllers."
         Height          =   375
         Left            =   120
         TabIndex        =   25
         Top             =   240
         Width           =   5415
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub AllOff_Click()
    MSComm1.Output = Chr$(254)              'Enter Command Mode
    MSComm1.Output = Chr$(14)               'Access R8x Pro Command Set
    MSComm1.Output = Chr$(29)               'Send Command Turn All Relays Off
End Sub
Private Sub AllOn_Click()
    MSComm1.Output = Chr$(254)              'Enter Command Mode
    MSComm1.Output = Chr$(14)               'Access R8x Pro Command Set
    MSComm1.Output = Chr$(30)               'Send Command Turn All Relays On
End Sub
Private Sub Check1_Click()
    Do
    For n = 0 To 15
        HScroll4.Value = n
        DoEvents
        dela
    Next n
    Loop Until Check1.Value = 0
End Sub
Private Sub Command3_Click()
    RTimer.Visible = True
End Sub
Private Sub Form_Load()
    MSComm1.CommPort = 1
    MSComm1.Settings = "38400,n,8,1"
    MSComm1.PortOpen = True
    Form1.Visible = True
End Sub
Private Sub Form_Unload(Cancel As Integer)
    End
End Sub

Private Sub GetBank_Click()
    MSComm1.Output = Chr$(254)              'Enter Command Mode
    MSComm1.Output = Chr$(14)               'Access R8x Pro Command Set
    MSComm1.Output = Chr$(43)               'Get Status of All Relays in a Memory Bank
    MSComm1.Output = Chr$(HScroll3.Value)   'Select a Memory Bank to Recall Pattern (0-15)
End Sub
Private Sub GetPattern_Click()
    MSComm1.Output = Chr$(254)              'Enter Command Mode
    MSComm1.Output = Chr$(14)               'Access R8x Pro Command Set
    MSComm1.Output = Chr$(26)               'Send Command to Read the Status of All Relays on Powerup
    DefPat.Caption = GetData                'Read Status from Relay Board
End Sub
Private Sub HScroll1_Change()
    Label6.Caption = HScroll1.Value
    MSComm1.Output = Chr$(254)              'Enter Command Mode
    MSComm1.Output = Chr$(14)               'Access R8x Pro Command Set
    MSComm1.Output = Chr$(40)               'Set Status of All Relays Command
    MSComm1.Output = Chr$(HScroll1.Value)   'Set Status of All Relays Command
End Sub
Private Sub HScroll1_Scroll()
    Label6.Caption = HScroll1.Value
    MSComm1.Output = Chr$(254)              'Enter Command Mode
    MSComm1.Output = Chr$(14)               'Access R8x Pro Command Set
    MSComm1.Output = Chr$(40)               'Set Status of All Relays Command
    MSComm1.Output = Chr$(HScroll1.Value)   'Set Status of All Relays Command
End Sub
Private Sub HScroll2_Change()
    Label7.Caption = HScroll2.Value
End Sub
Private Sub HScroll2_Scroll()
    Label7.Caption = HScroll2.Value
End Sub
Private Sub HScroll3_Change()
    Label8.Caption = HScroll3.Value
End Sub
Private Sub HScroll3_Scroll()
    Label8.Caption = HScroll3.Value
End Sub
Private Sub Invert_Click()
    MSComm1.Output = Chr$(254)              'Enter Command Mode
    MSComm1.Output = Chr$(14)               'Access R8x Pro Command Set
    MSComm1.Output = Chr$(31)               'Send Command Invert Relay Status
End Sub
Private Sub Option1_Click(Index As Integer)
    If Option1(0).Value = True Then
        MSComm1.Output = Chr$(254)  'Enter Command Mode
        MSComm1.Output = Chr$(13)   'Direct R8x Commands to Relay Bank
        MSComm1.Output = Chr$(0)    'Control Bank A Relays
    Else
        MSComm1.Output = Chr$(254)  'Enter Command Mode
        MSComm1.Output = Chr$(13)   'Direct R8x Commands to Relay Bank
        MSComm1.Output = Chr$(1)    'Control Bank B Relays
    End If
End Sub
Private Sub ProgramEmu_Click()
    MSComm1.Output = Chr$(254)              'Enter Command Mode
    MSComm1.Output = Chr$(14)               'Access R8x Pro Command Set
    MSComm1.Output = Chr$(41)               'Program Emulation Device Number
    MSComm1.Output = Chr$(HScroll2.Value)   'Device Number 0-15
End Sub
Private Sub Read_All_Click()
    MSComm1.Output = Chr$(254)              'Enter Command Mode
    MSComm1.Output = Chr$(14)               'Access R8x Pro Command Set
    MSComm1.Output = Chr$(24)               'Send Command to Read the Status of All Relays
    Temp = GetData                          'Read Status from Relay Board
        
    'Set All to OFF
    For n = 0 To 7
        Label1(n).Caption = "OFF"
    Next n
    
    'Determine Which Relays are ON
    If (Temp And 1) = 1 Then Label1(0).Caption = "ON"
    If (Temp And 2) = 2 Then Label1(1).Caption = "ON"
    If (Temp And 4) = 4 Then Label1(2).Caption = "ON"
    If (Temp And 8) = 8 Then Label1(3).Caption = "ON"
    If (Temp And 16) = 16 Then Label1(4).Caption = "ON"
    If (Temp And 32) = 32 Then Label1(5).Caption = "ON"
    If (Temp And 64) = 64 Then Label1(6).Caption = "ON"
    If (Temp And 128) = 128 Then Label1(7).Caption = "ON"
    
End Sub
Private Sub Read_Relay_Click(Index As Integer)
    MSComm1.Output = Chr$(254)              'Enter Command Mode
    MSComm1.Output = Chr$(14)               'Access R8x Pro Command Set
    MSComm1.Output = Chr$(16 + Index)       'Send Command to Read the Status of a Relay (1-8)
    Temp = GetData                          'Read Status from Relay Board
    If Temp = 0 Then
        Label1(Index).Caption = "OFF"
    Else
        Label1(Index).Caption = "ON"
    End If
End Sub
Private Sub RELAY_Click(Index As Integer)
    If RELAY(Index).Caption = "ON" Then
        RELAY(Index).Caption = "OFF"
        MSComm1.Output = Chr$(254)          'Enter Command Mode
        MSComm1.Output = Chr$(14)           'Access R8x Pro Command Set
        MSComm1.Output = Chr$(Index)        'Turn Relay Off
    Else
        RELAY(Index).Caption = "ON"
        MSComm1.Output = Chr$(254)          'Enter Command Mode
        MSComm1.Output = Chr$(14)           'Access R8x Pro Command Set
        MSComm1.Output = Chr$(Index + 8)    'Turn Relay Off
    End If
    'GetData
    
End Sub
Public Sub dela()
    For nnn = 1 To 10000
        DoEvents
    Next nnn
End Sub
Public Function GetData()

        Debug.Print "Waiting..."
 
        Do
            DoEvents
        Loop Until MSComm1.InBufferCount > 0
        
        GetData = Asc(MSComm1.Input)
        Debug.Print GetData

End Function
Private Sub Reverse_Click()
    MSComm1.Output = Chr$(254)              'Enter Command Mode
    MSComm1.Output = Chr$(14)               'Access R8x Pro Command Set
    MSComm1.Output = Chr$(32)               'Send Command to Reverse Relay Pattern
End Sub
Private Sub StoreBank_Click()
    MSComm1.Output = Chr$(254)              'Enter Command Mode
    MSComm1.Output = Chr$(14)               'Access R8x Pro Command Set
    MSComm1.Output = Chr$(42)               'Set Status of All Relays in a Memory Bank
    MSComm1.Output = Chr$(HScroll3.Value)   'Select a Memory Bank to Store Pattern (0-15)
End Sub
Private Sub StorePattern_Click()
    MSComm1.Output = Chr$(254)              'Enter Command Mode
    MSComm1.Output = Chr$(14)               'Access R8x Pro Command Set
    MSComm1.Output = Chr$(25)               'Store Relay Pattern as Powerup Default
End Sub
Private Sub Test2Way_Click()
    MSComm1.Output = Chr$(254)              'Enter Command Mode
    MSComm1.Output = Chr$(14)               'Access R8x Pro Command Set
    MSComm1.Output = Chr$(33)               'Send Command to Test 2-Way Communication
    If GetData = 85 Then                    'Read Status from Relay Board
        T2Way.Caption = "PASS"              '2-Way Communication Test Passed
    Else
        T2Way.Caption = "FAIL"
    End If
End Sub
